﻿@page "/todos"

<h3>Todo (@CountCompleted())</h3>

<ul>
  @foreach (var item in items) {
    
    <li>
      <input type="checkbox" @bind="item.Completed">
      @item.Title
    </li>
  }
</ul>

<input type="text" placeholder="Type your todo" @bind="newItem">
<button class="btn btn-primary" @onclick="AddItem">Add new todo</button>

@code {
  private string? newItem;
  private List<TodoItem> items = new();

  private void AddItem() {
    if (!string.IsNullOrWhiteSpace(newItem)) {
      items.Add(new TodoItem { Title = newItem});
      newItem = "";
    }
  }

  private int CountCompleted() {
    int numberCompleted = 0;
    foreach (var item in items) {
      if (item.Completed) {
        numberCompleted++;
      }
    }
    return numberCompleted;
  }
}
